### robocode.control.snapshot

# Interface IDebugProperty

`public interface IDebugProperty`

Interface of a debug property, which is a key-value pair.

Author:
  Pavel Savara (original)

Since:
  1.6.2

  ## Method Summary

  `String`

  `getKey()`
    Returns the key of the property.

  `String`

  `getValue()`
    Returns the value of the property.

## Method Details

### getKey

    public String getKey()

> Returns the key of the property.
> Returns:
>   the key of the property.

### getValue

    public String getValue()

> Returns the value of the property.
> Returns:
>   the value of the property.